JNA API 3.5.2-SNAPSHOT

## com.sun.jna
Class CallbackReference

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.WeakReference
              com.sun.jna.CallbackReference

     class CallbackReference

extends java.lang.ref.WeakReference

Provides a reference to an association between a native callback closure and a Java `Callback` closure.

Nested Class Summary
`(package private) static class` `CallbackReference.AttachOptions`

Field Summary
`(package private) static java.util.Map` `allocations`
`(package private) static java.util.Map` `callbackMap`
`(package private) Pointer` `cbstruct`
`(package private) java.lang.reflect.Method` `method`
`(package private) CallbackProxy` `proxy`

Method Summary
`protected void` `dispose()` Free native resources associated with this callback.
`protected void` `finalize()` Free native resources associated with this callback when GC'd.
`(package private) static java.lang.Class` `findCallbackClass(java.lang.Class type)` Find the first instance of an interface which implements the Callback interface or an interface derived from Callback, which defines an appropriate callback method.
`static Callback` `getCallback(java.lang.Class type, Pointer p)` Return a Callback associated with the given function pointer.
`static Pointer` `getFunctionPointer(Callback cb)` Return a `Pointer` to the native function address for the given callback.
`Pointer` `getTrampoline()` Obtain a pointer to the native glue code for this callback.
`(package private) static void` `setCallbackThreadInitializer(Callback cb, CallbackThreadInitializer initializer)`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callbackMap

    static final java.util.Map callbackMap

### allocations

    static final java.util.Map allocations

### cbstruct

    Pointer cbstruct

### proxy

    CallbackProxy proxy

### method

    java.lang.reflect.Method method

Method Detail

### setCallbackThreadInitializer

    static void setCallbackThreadInitializer(Callback cb,
                                             CallbackThreadInitializer initializer)

### getCallback

    public static Callback getCallback(java.lang.Class type,
                                       Pointer p)

  Return a Callback associated with the given function pointer. If the pointer refers to a Java callback trampoline, return the original Java Callback. Otherwise, return a proxy to the native function pointer.

### findCallbackClass

    static java.lang.Class findCallbackClass(java.lang.Class type)

  Find the first instance of an interface which implements the Callback interface or an interface derived from Callback, which defines an appropriate callback method.

### getTrampoline

    public Pointer getTrampoline()

  Obtain a pointer to the native glue code for this callback.

### finalize

    protected void finalize()

  Free native resources associated with this callback when GC'd.

  Overrides:
    `finalize` in class `java.lang.Object`

### dispose

    protected void dispose()

  Free native resources associated with this callback.

### getFunctionPointer

    public static Pointer getFunctionPointer(Callback cb)

  Return a `Pointer` to the native function address for the given callback.

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.